---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.wildfly-camel-cdi/summary: "Simple CDI application deployed on Wildfly-Camel"
    description: "Simple CDI application deployed on Wildfly-Camel"
    fabric8.wildfly-camel-cdi/iconUrl: "img/icons/wildfly.svg"
  labels: {}
  name: "wildfly-camel-cdi"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/wildfly.svg"
    labels:
      provider: "fabric8"
      project: "wildfly-camel-cdi"
      version: "2.2.159"
      group: "quickstarts"
    name: "wildfly-camel-cdi"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "wildfly-camel-cdi"
      provider: "fabric8"
      group: "quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/wildfly.svg"
      fabric8.io/git-branch: "versionUpdatea27989db-ce4b-4940-89ef-62ee39ff87e4"
      fabric8.io/git-commit: "29db25412b5c57becd0cf4ef4ae60380982907d7"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/6"
      fabric8.io/build-id: "6"
    labels:
      provider: "fabric8"
      project: "wildfly-camel-cdi"
      version: "2.2.159"
      group: "quickstarts"
    name: "wildfly-camel-cdi"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "wildfly-camel-cdi"
      version: "2.2.159"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          provider: "fabric8"
          project: "wildfly-camel-cdi"
          version: "2.2.159"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/wildfly-camel-cdi:2.2.159"
          name: "wildfly-camel-cdi"
          ports:
          - containerPort: 8778
            name: "jolokia"
          readinessProbe:
            httpGet:
              httpHeaders: []
              path: "/"
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 30
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
